// apicmd.cpp : Defines the entry point for the console application.

#include "stdafx.h"
#include "windows.h"

// 0 means all ok
// 1 means no window found
// 2 means message not sent correctly

int main(int argc, char* argv[])
{
	HWND pOtherWnd = ::FindWindow(NULL, "ZhornSoftwareStickiesMain");
	if (pOtherWnd)
	{
		char str[256];
		strcpy_s(str, "api ");
		for (int i = 1; i < argc; i++)
		{
			strcat_s(str, argv[i]);
			if (i < (argc-1))
				strcat_s(str, " ");
		}

		COPYDATASTRUCT cpd;
		cpd.dwData = NULL;
		cpd.cbData = strlen((const char*)str);
		cpd.lpData = (void*)str;
		LRESULT gotBack =::SendMessage(pOtherWnd, WM_COPYDATA, NULL, (LPARAM)&cpd);
		if ((BOOL)gotBack)
		{
			printf("OK: message sent\n");
			return 0;
		}
		else
		{
			printf("ERR: message not processed\n");
			return 2;
		}
	}
	else
	{
		printf("ERR: Unable to find Stickies window by class (ZhornSoftwareStickiesMain)\n");
		return 1;
	}

	return 0;
}

